@import "../../../assets/css/constants.scss";

.header-container {
    width: 100%;
    position: absolute;
    right: 0;
    background: transparent;
    top: 30px;
    z-index: 9999;
    color: #f7f5f5
}
.fixed-header {
  position: relative;
  top: 0;
  background: $SANED_PRIMARY-COLOR;
  right: 0;
  padding: 20px 0;
}
.chat-icon {
  background: url("../../../assets/images/icons/chat-icon.png");
  position: fixed;
  display: flex;
  width: 50px;
  height: 50px;
  background-size: cover;
  background-repeat: no-repeat;
  right: 0;
  top: calc(100vh - 75px);
  cursor: pointer;
  outline: none;
  &:hover {
    background: url("../../../assets/images/icons/mobile-chat-icon.png");
    width: 50px;
    height: 50px;
    background-size: cover;
    background-repeat: no-repeat;
    .mobile-chat-icon {
      opacity: 1;
      right: 2px;
    }
  }
}
.mobile-chat-icon {
  outline: none;
  display: flex;
  margin: 25px 0 40px 0 !important;
  position: absolute;
  top: -27px;
  right: -132px;
  width: 180px;
  opacity: 0;
  transition: all ease 0.5s;
  input {
    border-radius: 25px;
    height: 50px;
    width: 100%;
    border-color: transparent;
    padding: 15px;
    outline: none;
  }
}
.mobile-icon {
  background: url("../../../assets/images/icons/mobile-chat-icon.png");
  border-radius: 27px;
  position: absolute;
  display: flex;
  width: 50px;
  background-size: cover;
  background-repeat: no-repeat;
  height: 50px;
  right: 0;
  top: 5px;
  outline: none;
}
@media only screen and (max-width: 768px) {
    .header-container {
      top: 20px;
    }
}
@keyframes chat-input {
  from {
    right: 0;
  }
  to {
    right: 50px;
  }
}